> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Application Overview > Retrieves comprehensive status overview for an application including latency, CPU/RAM usage, active instances, regions, and cost information. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json get /apps/{appId}/overview openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/overview: get: tags: - Applications summary: Get Application Overview description: >- Retrieves comprehensive status overview for an application including latency, CPU/RAM usage, active instances, regions, and cost information. operationId: GetApplicationOverview parameters: - name: appId in: path required: true schema: type: string responses: '200': description: Application status overview was successfully retrieved. content: application/json: schema: $ref: '#/components/schemas/Overview' '401': description: User is unauthorized. '404': description: Application is not found. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: Overview: type: object properties: targetLatency: $ref: '#/components/schemas/DoubleStatusIndicator' currentLatency: $ref: '#/components/schemas/DoubleStatusIndicator' activeRegions: $ref: '#/components/schemas/Int32StatusIndicator' activeInstances: $ref: '#/components/schemas/Int32StatusIndicator' desiredInstances: type: integer format: int32 status: $ref: '#/components/schemas/ApplicationStatus' averageCPU: $ref: '#/components/schemas/DoubleStatusIndicator' averageRAM: $ref: '#/components/schemas/DoubleStatusIndicator' averageVolumesUsage: $ref: '#/components/schemas/DoubleStatusIndicator' regions: type: array items: $ref: '#/components/schemas/OverviewRegion' averageLatency: type: number format: double totalVolumeSizeInGb: type: number format: double monthlyCost: type: number format: double latencyChart: type: object additionalProperties: type: number format: double limits: $ref: '#/components/schemas/OverviewLimits' additionalProperties: false description: Application overview model ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. DoubleStatusIndicator: type: object properties: indicator: type: number format: double statusGrade: $ref: '#/components/schemas/Grade' additionalProperties: false description: Status grade model Int32StatusIndicator: type: object properties: indicator: type: integer format: int32 statusGrade: $ref: '#/components/schemas/Grade' additionalProperties: false description: Status grade model ApplicationStatus: enum: - unknown - active - progressing - inactive - failing - suspended type: string OverviewRegion: type: object properties: region: type: string isRequired: type: boolean instances: type: integer format: int32 status: $ref: '#/components/schemas/DeploymentStatus' averageCPU: type: number format: double averageRAM: type: number format: double averageVolumesUsagePercentage: type: number format: double requests: type: number format: double anycastTraffic: type: number format: double pods: type: array items: $ref: '#/components/schemas/OverviewPod' additionalProperties: false description: Overview region model OverviewLimits: type: object properties: cpuCores: type: number format: double nullable: true ramBytes: type: number format: double nullable: true outboundBandwidthBytesPerSecond: type: number format: double nullable: true additionalProperties: false description: >- What one instance of the application may use. The same for every instance, so it is stated once. ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false Grade: enum: - couldBeBetter - notBad - doingGreat type: string DeploymentStatus: enum: - unknown - active - progressing - inactive - failing type: string OverviewPod: type: object properties: name: type: string status: $ref: '#/components/schemas/PodStatus' lastHeartBeat: type: string format: date-time nullable: true outboundTrafficChart: type: object additionalProperties: type: integer format: int64 nullable: true nullable: true cpuUsage: type: number format: double ramUsage: type: number format: double containers: type: array items: $ref: '#/components/schemas/OverviewContainer' message: type: string nullable: true volumesUtilizationPercentage: type: object additionalProperties: type: number format: double ephemeralStorageUsageBytes: type: integer format: int64 nullable: true ephemeralStorageLimitBytes: type: integer format: int64 nullable: true ephemeralStorageUsageRatio: type: number format: double nullable: true outboundConnectionsLimit: type: integer format: int32 nullable: true outboundConnectionsRejectedDiff: type: integer format: int64 nullable: true cpuUsageCores: type: number format: double nullable: true ramUsageBytes: type: number format: double nullable: true outboundBandwidthBytesPerSecond: type: number format: double nullable: true volumes: type: array items: $ref: '#/components/schemas/OverviewPodVolume' nullable: true additionalProperties: false description: Overview pod model PodStatus: enum: - notScheduled - scheduled - ready - deleting type: string OverviewContainer: type: object properties: id: type: string name: type: string cpuUsage: type: number format: double ramUsage: type: number format: double reason: type: string message: type: string status: $ref: '#/components/schemas/ContainerStatus' image: type: string nullable: true imageDisplay: type: string nullable: true numberOfRestarts: type: integer format: int32 nullable: true exitCode: type: integer format: int32 nullable: true additionalProperties: false description: Overview container model OverviewPodVolume: type: object properties: id: type: string usageBytes: type: number format: double sizeBytes: type: number format: double additionalProperties: false description: One volume of an instance, with both halves of its meter in bytes. ContainerStatus: enum: - notStarted - started - ready type: string securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.